INSTALLPKG(8)

NAME
installpkg - install Slackware packages.

SYNOPSIS
installpkg [ -m ] packagename

installpkg [ -warn ] packagename

installpkg [ -r ] packagename

DESCRIPTION
installpkg installs and creates *.tgz packages designed for use with the Slackware Linux distribution. When you call installpkg with the -r option, it will assume that you have created the structure for the package in the current directory (such as when you untar a package in a directory by itself). It will create entries for the package in /var/adm/packages and /var/adm/scripts, and will copy all the files from the current directory and its subdirectories onto your root directory. If you use the -m option, it will not install the contents of the current directory, but will make a *.tgz package using the name you have provided. Do not append the *.tgz suffix to this name - installpkg will do this for you automatically. The last, and probably most common use for installpkg is to install single or multiple Slackware compatible packages without having to use the pkgtool or setup programs. Don't use any options for this; just provide installpkg with a list of packages to be installed.

OPTIONS

-warn packagename
    Generate a report to the standard output about which files and directories would be removed or overwritten if you install the package, but do not actually install it.

-m packagename
    Make the contents of the current and subdirectories into a package with the name <packagename>.tgz.

-r packagename
    Install the contents of the current and subdirectories as a package with the name <packagename>.

BUGS
The -r , -m and -warn options cannot be used together.

AUTHOR
Patrick J. Volkerding <volkerdi@mhd1.moorhead.msus.edu>

SEE ALSO
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), setup(8)